aboutsummaryrefslogtreecommitdiff
path: root/libraries/libdatachannel
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libdatachannel')
-rw-r--r--libraries/libdatachannel/README7
-rw-r--r--libraries/libdatachannel/libdatachannel.SlackBuild107
-rw-r--r--libraries/libdatachannel/libdatachannel.info10
-rw-r--r--libraries/libdatachannel/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/libdatachannel/README b/libraries/libdatachannel/README
new file mode 100644
index 0000000000..ab9d357df9
--- /dev/null
+++ b/libraries/libdatachannel/README
@@ -0,0 +1,7 @@
+libdatachannel (C/C++ WebRTC network library)
+
+libdatachannel is a standalone implementation of WebRTC Data Channels,
+WebRTC Media Transport, and WebSockets in C++17 with C bindings for
+POSIX platforms and Microsoft Windows.
+WebRTC is a W3C and IETF standard enabling real-time peer-to-peer data
+and media exchange between two devices.
diff --git a/libraries/libdatachannel/libdatachannel.SlackBuild b/libraries/libdatachannel/libdatachannel.SlackBuild
new file mode 100644
index 0000000000..e617f8ea78
--- /dev/null
+++ b/libraries/libdatachannel/libdatachannel.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for libdatachannel
+
+# Copyright 2025 S.S. Bolokanar, Bulgaria <bolokanar@bulgarsociety.org>
+# С. С. Болоканаръ, България
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=libdatachannel
+VERSION=${VERSION:-0.22.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DPREFER_SYSTEM_LIB=ON \
+ -DNO_TESTS=ON \
+ -DNO_EXAMPLES=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README* BUILDING* LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/libdatachannel/libdatachannel.info b/libraries/libdatachannel/libdatachannel.info
new file mode 100644
index 0000000000..bcb3227796
--- /dev/null
+++ b/libraries/libdatachannel/libdatachannel.info
@@ -0,0 +1,10 @@
+PRGNAM="libdatachannel"
+VERSION="0.22.4"
+HOMEPAGE="https://github.com/paullouisageneau/libdatachannel"
+DOWNLOAD="https://github.com/paullouisageneau/libdatachannel/archive/v0.22.4/libdatachannel-0.22.4.tar.gz"
+MD5SUM="50003c02ba1138815afc8e26b0f2fa73"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libjuice libsrtp2 nlohmann_json plog usrsctp"
+MAINTAINER="S. S. Bolokanar"
+EMAIL="bolokanar@bulgarsociety.org"
diff --git a/libraries/libdatachannel/slack-desc b/libraries/libdatachannel/slack-desc
new file mode 100644
index 0000000000..6180e177a1
--- /dev/null
+++ b/libraries/libdatachannel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libdatachannel: libdatachannel (C/C++ WebRTC network library)
+libdatachannel:
+libdatachannel: libdatachannel is a standalone implementation of WebRTC Data Channels,
+libdatachannel: WebRTC Media Transport, and WebSockets in C++17 with C bindings for
+libdatachannel: POSIX platforms and Microsoft Windows. WebRTC is a W3C and IETF
+libdatachannel: standard enabling real-time peer-to-peer data and media exchange
+libdatachannel: between two devices.
+libdatachannel:
+libdatachannel: Homepage: https://github.com/paullouisageneau/libdatachannel
+libdatachannel:
+libdatachannel: